Fireduck
========

Waterfox running under Xvnc inside a Docker container, a demented tool
to solve a demented problem.

Occasionally one needs to run dangerous code in a web brower, eg, some
dodgy Java app which is the only available interface to some critical
resource.  Running this in one's normal web browser is a bad idea.

In some situations, one wants a web browser to run on a distant server
which is close to what is being browsed, e.g. to mount virtual media
for an IPMI device.

So what one really wants here is a burner web browser that one can run
either lcoally or on a remote server.  Here you go.

See `create.sh` and `run.sh` for ways one might use the image.

Something along the lines of the `run.sh` formulation might work well
as the command portion of a tunneling `ssh -L 5900:127.0.0.1:5900` command.

This version is based on Ubuntu rather than Debian, because I was
trying to get the icedtea-web Java Plugin stuff to work.  Still fails,
too many things know that no browser supports this crap anymore.

In theory, we might be able to get somewhere by building icedtea
ourselves, or using an old packaged version.  See:

* <https://github.com/AdoptOpenJDK/icedtea-web>
* <https://packages.debian.org/source/stretch/icedtea-web>

